Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ccpp
Class ProfileRef

    java.lang.Object
      |
      +--org.w3c.jigsaw.ccpp.ProfileRef

public class ProfileRef
extends java.lang.Object

A Profile reference (syntax described at http://www.w3.org/1999/06/NOTE-CCPPexchange-19990624)

Constructor Summary
`ProfileRef(java.lang.String ref)` Constructor

Method Summary
`java.lang.String` | `getDiffName()` Get the profile diff name
`int` | `getDiffNumber()` Get the diff number
`java.lang.String` | `getUnparsedRef()` Get the unparsed profile reference (used for error message)
`java.lang.String` | `getURI()` Get the URI
`boolean` | `isDiffName()` Is this Profile reference a profile diff name?
`boolean` | `isURI()` Is this Profile reference an absolute URI?
`protected void` | `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileRef

    public ProfileRef(java.lang.String ref)

  Constructor

Parameters:
  `ref` - the raw profile reference. ie :
  - "http://www.aaa.com/hw"
  - "1-uKhjE/AEeeMzFSejsYshHg=="

Method Detail

### getUnparsedRef

    public java.lang.String getUnparsedRef()

  Get the unparsed profile reference (used for error message)

  Returns:
    a String;

### isURI

    public boolean isURI()

  Is this Profile reference an absolute URI?

  Returns:
    a boolean

### getURI

    public java.lang.String getURI()
                            throws InvalidProfileException

  Get the URI

  Returns:
    a String (or null if this reference is not an URI)
  Throws:
    `InvalidProfileException` - if the profile reference is not valid

### isDiffName

    public boolean isDiffName()

  Is this Profile reference a profile diff name?

  Returns:
    a boolean

### getDiffNumber

    public int getDiffNumber()
                      throws InvalidProfileException

  Get the diff number

  Returns:
    a integer (or -1 if this reference is not a profile diff name)
  Throws:
    `InvalidProfileException` - if the profile reference is not valid

### getDiffName

    public java.lang.String getDiffName()
                                 throws InvalidProfileException

  Get the profile diff name

  Returns:
    a String (or null if this reference is not a profile diff name)
  Throws:
    `InvalidProfileException` - if the profile reference is not valid

### parse

    protected void parse()
                  throws InvalidProfileException

    `InvalidProfileException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD